#!/bin/sh -e
#
# Copyright (C) 2008  Grigory Batalov <bga@altlinux.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# update conditions
fmtutil=
updmap=
language=

# get a list of files
while read -r f; do
	# check if configs were updated
	case "$f" in
		/etc/texmf/fmt.d/*) fmtutil=1 ;;
		/etc/texmf/updmap.d/*) updmap=1 ;;
		/etc/texmf/language.d/*) language=1 ;;
	esac
done

tlmgr=/usr/bin/tlmgr
# rebuild fmtutil.cnf
if [ -n "$fmtutil" ] && [ -x "$tlmgr" ]; then
	"$tlmgr" generate fmtutil &> /dev/null
fi
# rebuild updmap.cfg
if [ -n "$updmap" ] && [ -x "$tlmgr" ]; then
	"$tlmgr" generate updmap &> /dev/null
fi
# rebuild language.dat and language.def
if [ -n "$language" ] && [ -x "$tlmgr" ]; then
	"$tlmgr" generate language &> /dev/null
fi
